package com.servoy.extensions.plugin.serverpluginexample;

import java.rmi.RemoteException;
import java.util.Map;
import java.util.Properties;

import com.servoy.j2db.plugins.IServerAccess;
import com.servoy.j2db.plugins.IServerPlugin;
import com.servoy.j2db.plugins.PluginException;
import com.servoy.j2db.preference.PreferencePanel;

public class ServerPlugin  implements ServerService, IServerPlugin{
	
	private IServerAccess application;

	public String helloWorldServer(String input) throws RemoteException {
		return input + " world";
	}

	public PreferencePanel[] getPreferencePanels() {
		return null;
	}

	public Map getRequiredPropertyNames() {
		return null;
	}

	public void initialize(IServerAccess serverAccess) throws PluginException {
	    application = serverAccess;
		try
		{
			//the name is important.  is used to identify this source
		    serverAccess.registerRMIService("com.servoy.extensions.plugins.serverpluginexample", this);
		}
		catch (RemoteException e)
		{
		    e.printStackTrace();
		}
	}

	public Properties getProperties() {
		return null;
	}

	public void load() throws PluginException {
		
	}

	public void unload() throws PluginException {
		
	}

}
